### Function

# Gimp palettes_popup

#### Declaration [src]

    gboolean
    gimp_palettes_popup (
      const gchar* palette_callback,
      const gchar* popup_title,
      GimpPalette* initial_palette,
      GBytes* parent_window
    )

#### Description [src]

Invokes the Gimp palette selection dialog.

Opens a dialog letting a user choose a palette.

#### Parameters

`palette_callback`

  Type: `const gchar*`

  The callback PDB proc to call when user chooses a palette.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the palette selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_palette`

  Type: `GimpPalette`

  The palette to set as the initial choice.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`parent_window`

  Type: `GBytes`

  An optional parent window handle for the popup to be set transient to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.